- Qt 6.8
- Qt GUI
- C++ Classes
- Attribute
- Qt 6.8.2 Reference Documentation

# Attribute Class

class QInputMethodEvent::Attribute

The QInputMethodEvent::Attribute class stores an input method attribute. More...

- List of all members, including inherited members

## Public Functions

| Attribute(QInputMethodEvent::AttributeType type, int start, int length, QVariant value)
| Attribute(QInputMethodEvent::AttributeType type, int start, int length)

## Detailed Description

## Member Function Documentation

### Attribute::Attribute(QInputMethodEvent::AttributeType type, int start, int length, QVariant value)

Constructs an input method attribute. type specifies the type of attribute, start and length the position of the attribute, and value the value of the attribute.

### Attribute::Attribute(QInputMethodEvent::AttributeType type, int start, int length)

This is an overloaded function.

Constructs an input method attribute with no value. type specifies the type of attribute, and start and length the position of the attribute.